;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;                                                                       ;;
;;;                					                  ;;
;;;                     University of Nairobi, Kenya                      ;;
;;;                       Copyright (c) 2004                              ;;
;;;                        All Rights Reserved.                           ;;
;;;                                                                       ;;
;;;  Permission is hereby granted, free of charge, to use and distribute  ;;
;;;  this software and its documentation without restriction, including   ;;
;;;  without limitation the rights to use, copy, modify, merge, publish,  ;;
;;;  distribute, sublicense, and/or sell copies of this work, and to      ;;
;;;  permit persons to whom this work is furnished to do so, subject to   ;;
;;;  the following conditions:                                            ;;
;;;   1. The code must retain the above copyright notice, this list of    ;;
;;;      conditions and the following disclaimer.                         ;;
;;;   2. Any modifications must be clearly marked as such.                ;;
;;;   3. Original authors' names are not deleted.                         ;;
;;;   4. The authors' names are not used to endorse or promote products   ;;
;;;      derived from this software without specific prior written        ;;
;;;      permission.                                                      ;;
;;;                                                                       ;;
;;;  THE UNIVERSITY OF NAIROBI AND THE CONTRIBUTOR OUTSIDE ECHO           ;;
;;;  DISCLAIM ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING      ;;
;;;  ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS, IN NO EVENT   ;;
;;;  SHALL THE UNIVERSITY OF NAIROBI  OR OUTSIDE ECHO       BE LIABLE     ;;
;;;  FOR ANY SPECIAL, INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES    ;;
;;;  WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN   ;;
;;;  AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION,          ;;
;;;  ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF       ;;
;;;  THIS SOFTWARE.                                                       ;;
;;;                                                                       ;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;									  ;;
;;;  Authors: Mucemi Gakuru, Fredrick Iraki and Kamanda Ngugi   	  ;;
;;;  Phonset for UON_swahili_kw_clunits. A definition of the Swahili 	  ;;
;;;  Phoneset			                  			  ;;
;;;                                  					  ;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

(defPhoneSet
  UON_swahili
  ;;;  Phone Features
  (;; vowel or consonant
   (vc + -)  
   ;; vowel length: short long dipthong schwa
   (vlng s l d a 0)
   ;; vowel height: high mid low
   (vheight 1 2 3 0)
   ;; vowel frontness: front mid back
   (vfront 1 2 3 0)
   ;; lip rounding
   (vrnd + - 0)
   ;; consonant type: stop fricative affricative nasal lateral
   (ctype s f a n l 0)
   ;; place of articulation: labial alveolar palatal labio-dental
   ;;                         dental velar glottal
   (cplace l a p b d v g 0)
   ;; consonant voicing
   (cvox + - 0)
   )
 ;; Phone set members
  (
   (SIL  - 0 0 0 0 0 0 -)  ;; silence ... 
   (#  - 0 0 0 0 0 0 -)  ;; silence ... 
   (B_10  - 0 0 0 0 0 0 -)  ;; Pauses
   (B_20 - 0 0 0 0 0 0 -)  ;; Pauses
   (B_30 - 0 0 0 0 0 0 -)  ;; Pauses
   (B_40 - 0 0 0 0 0 0 -)  ;; Pauses
   (B_50 - 0 0 0 0 0 0 -)  ;; Pauses
   (B_100 - 0 0 0 0 0 0 -)  ;; Pauses
   (B_150 - 0 0 0 0 0 0 -)  ;; Pauses
   (B_200 - 0 0 0 0 0 0 -)  ;; Pauses
   (B_250 - 0 0 0 0 0 0 -)  ;; Pauses
   (B_300 - 0 0 0 0 0 0 -)  ;; Pauses
   (B_400 - 0 0 0 0 0 0 -)  ;; Pauses

   ;;   T   L   H   F   R  CT  PA  CV 
   (a   +   s   3   1   -   0   0   0)
   (e   +   s   2   2   -   0   0   0)
   (i   +   s   1   1   -   0   0   0)
   (o   +   s   2   3   +   0   0   0)
   (u   +   s   1   3   +   0   0   0)
   (a1  +   l   3   1   -   0   0   0)
   (e1  +   l   2   2   -   0   0   0)
   (i1  +   l   1   1   -   0   0   0)
   (o1  +   l   2   3   +   0   0   0)
   (u1  +   l   1   3   +   0   0   0)
   (a2  +   l   3   1   -   0   0   0)
   (e2  +   l   2   2   -   0   0   0)
   (i2  +   l   1   1   -   0   0   0)
   (o2  +   l   2   3   +   0   0   0)
   (u2  +   l   1   3   +   0   0   0)
   (b   -   0   0   0   0   s   l   +)
   (ch  -   0   0   0   0   f   v   -)
   (d   -   0   0   0   0   s   a   +)
   (dh  -   0   0   0   0   f   d   +)
   (f   -   0   0   0   0   f   b   -)
   (g   -   0   0   0   0   s   v   +)
   (gh  -   0   0   0   0   f   v   +)
   (h   -   0   0   0   0   f   g   -)
   (j   -   0   0   0   0   f   v   +)
   (k   -   0   0   0   0   s   v   -)
   (kh  -   0   0   0   0   f   g   -)
   (l   -   0   0   0   0   l   a   +)
   (m2  -   0   0   0   0   n   l   +)
   (m1  -   0   0   0   0   n   l   +)
   (m   -   0   0   0   0   n   l   +)
   (n2  -   0   0   0   0   n   a   +)
   (n1  -   0   0   0   0   n   a   +)
   (n   -   0   0   0   0   n   a   +)
   (ng  -   0   0   0   0   s   v   +)
   (ng1 -   0   0   0   0   n   v   +) ;;ng'
   (ny  -   0   0   0   0   n   v   +)
   (p   -   0   0   0   0   s   l   -)
   (r   -   0   0   0   0   l   a   +)
   (s   -   0   0   0   0   f   a   -)
   (sh  -   0   0   0   0   f   a   -)
   (t   -   0   0   0   0   s   a   -)
   (th  -   0   0   0   0   f   d   -)
   (v   -   0   0   0   0   f   b   +)
   (w   -   0   0   0   0   0   l   +)
   (y   -   0   0   0   0   0   p   +)
   (z   -   0   0   0   0   f   a   +)
   
  )
)

(PhoneSet.silences '( # SIL))

(define (UON_swahili_kw::select_phoneset)
  "(UON_swahili_kw::select_phoneset)
Set up phone set for UON_swahili."
  (Parameter.set 'PhoneSet 'UON_swahili)
  (PhoneSet.select 'UON_swahili)
)

(define (UON_swahili_kw::reset_phoneset)
  "(UON_swahili_kw::reset_phoneset)
Reset phone set for UON_swahili."
  ;t
  (Parameter.set 'PhoneSet 'UON_swahili)
  (PhoneSet.select 'UON_swahili)
)

(provide 'UON_swahili_kw_phoneset)

